Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.latka.validators
Class BaseValidator

    java.lang.Object
      |
      +--org.apache.commons.latka.validators.BaseValidator

All Implemented Interfaces:
  Validator

Direct Known Subclasses:
  ByteLengthValidator, CookieValidator, GoldenFileValidator, MaxRequestTimeValidator, RegexpValidator, ResponseHeaderValidator, StatusCodeValidator

public abstract class BaseValidator
extends java.lang.Object
implements Validator

Author:
  Rodney Waldhoff

Constructor Summary
`BaseValidator()`
`BaseValidator(java.lang.String label)`

Method Summary
`java.lang.String` | `getLabel()`
`void` | `setLabel(java.lang.String label)`
`abstract void` | `validate(Response response)` Run custom validation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseValidator

    public BaseValidator()

### BaseValidator

    public BaseValidator(java.lang.String label)

Method Detail

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### validate

    public abstract void validate(Response response)
                           throws ValidationException

  Description copied from interface: `Validator`
  Run custom validation. Latka will provide the HTTP response to this method. The implementer should throw a ValidationException if the Response fails to meet the validation criteria.
  Specified by:
    `validate` in interface `Validator`
  Following copied from interface: `org.apache.commons.latka.Validator`
  Parameters:
    `response` - the HTTP response
  Throws:
    `ValidationException` - if the Response fails to be valid

Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. Documenation generated September 13 2001.